Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model
Interface CustomizationManager

All Known Implementing Classes:
  CustomizationManagerService

    public interface CustomizationManager

Integration logic between portal objects, instances and users.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Method Summary
`void` | `destroyDashboard(java.lang.String userId)` Destroys the dashboard of a specified user.
`Portal` | `getDashboard(org.jboss.portal.identity.User user)` Returns the dashboard of a specific user.
`Instance` | `getInstance(Window window)` Returns a top level named portlet instance.
`Instance` | `getInstance(Window window, org.jboss.portal.identity.User user)` Returns a contextualized portlet instance for the specified user id.
`boolean` | `isDashboard(PortalObject object, org.jboss.portal.identity.User user)` Returns true if the portal object is in a dashboard context for the specified user.

Method Detail

### getInstance

    Instance getInstance(Window window)
                         throws java.lang.IllegalArgumentException

  Returns a top level named portlet instance.

  Parameters:
    `window` - the window of the portlet instance
  Returns:
    the target instance or null if it cannot be found
  Throws:
    `java.lang.IllegalArgumentException` - if the window is null

### getInstance

    Instance getInstance(Window window,
                         org.jboss.portal.identity.User user)
                         throws java.lang.IllegalArgumentException

  Returns a contextualized portlet instance for the specified user id. If the window is in the context of a dashboard then the portlet instance is further customized for that specific window.

  Parameters:
    `window` - the window of the portlet instance
    `user` - the user that can be null
  Returns:
    the target instance or null if it cannot be found
  Throws:
    `java.lang.IllegalArgumentException` - if the window is null

### getDashboard

    Portal getDashboard(org.jboss.portal.identity.User user)
                        throws java.lang.IllegalArgumentException

  Returns the dashboard of a specific user.

  Parameters:
    `user` -
  Returns:
  Throws:
    `java.lang.IllegalArgumentException`

### isDashboard

    boolean isDashboard(PortalObject object,
                        org.jboss.portal.identity.User user)

  Returns true if the portal object is in a dashboard context for the specified user.

  Parameters:
    `object` -
  Returns:

### destroyDashboard

    void destroyDashboard(java.lang.String userId)

  Destroys the dashboard of a specified user.

  Parameters:
    `userId` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD